package com.jasamedika.medifirst2000.service;

import java.io.IOException;
import java.security.GeneralSecurityException;
import java.util.Date;
import java.util.Map;

public interface BridgingBpjs {
	String GenerateSignature(long time) ;
	Map<String,Object> CekKepesertaan(String noBpjs);
	Map<String,Object> CekNoRujukan(String noRujukan);
	Map<String,Object> GenerateSep(String noBpjs,String tanggalRujuakn,String tglSep,String noRujukan,String ppkRujukan,boolean isRawatJalan,String Catatan,String kodeDiagnosa,String poliTujuan,String kelasRawat,String lakaLantas,String lokasiLaka,String noCm);
	Map<String,Object> updateSep(String noSep,String noBpjs,String tanggalRujukan,String tanggalSep,String noRujukan,String ppkRujukan,boolean isRawatJalan,String catatan,String kodeDiagnosa,String poliTujuan,String kelasRawat,String lakaLantas,String lokasiLaka,String noCm);
	Map<String, Object> UpdateTanggalPulang(String noSep, String tglPlg, String ppkPelayanan);
	Map<String,Object> mappingTransaksiSep(String noSep,String noTrans);
	Map<String,Object> getDetailSEP(String noSep);
	Map<String,Object> getDataKunjunganPeserta(String noSep);
	Map<String,Object> getDataRiwayatPelayananPeserta(String noSep);
	Map<String,Object> getDataIntegrasiSepInacbg(String noSep);
	Map<String,Object> getMonitoringVerifikasiKlaim(String tglMasuk, String tglKeluar, String kelasRawat,String jnsPelayanan, String cari, String status);
	Map<String,Object> updateTglPulang(String noSep, String tglPulang);
	Map<String,Object> getDataRujukanByNoRujukanRS(String noRujukan);
	Map<String,Object> getDataRujukanByNoRujukanPcare(String noRujukan);
	Map<String,Object> getDataRujukanByNoKartuRS(String noKartu);
	Map<String,Object> getDataRujukanByKartuPcare(String noKartu);
	Map<String,Object> checkKepesertaanByNIK(String nik);
	Map<String,Object> getReferensiDiagnosa(String nama);
	Map<String,Object> getReferensiFaskes(String nama, Integer start, Integer limit);
	Map<String,Object> deleteSep(String noSep);
	Map<String,Object> pencarianDataPoli();
	String getHospitalID();
	//Map<String,Object> insertLPK(String noSep,String tglMasuk,String tglKeluar,String jaminan,String  poli,String ruangRawat,String kelasRawat,String spesialistik,String caraKeluar,String kondisiPulang,String kode,String level,String ,String ,String ,String ,String);
	
}
